package viewbg;

import android.graphics.drawable.Drawable;

public class BrowserItem {
	private String text;
	private Drawable icon;
	private boolean isSelectable=true;
	
	public BrowserItem(String text,Drawable icon)
	{
		this.icon=icon;
		this.text=text;
	}
	
	public boolean isSelectable()
	{
		return isSelectable;
	}
	
	public void setSelectable(boolean s)
	{
		this.isSelectable=s;
	}
	
	public String getText(){return text;}
	public Drawable getIcon(){return icon;}
	
	public void setText(String text)
	{
		this.text=text;
	}
	public void setIcon(Drawable icon)
	{
		this.icon=icon;
	}
	
	public int compareTo(BrowserItem item)
	{
		if(this.text!=null)
			return this.text.compareTo(item.getText());
		else
			throw new IllegalArgumentException();
	}

}
